Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class DependencyData

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.DependencyData

public class DependencyData extends Object

## Constructor Summary

Constructors
Constructor
Description
`DependencyData(IEMFCompareConfiguration compareConfiguration)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearDependencies()`
`protected IDiffRelationshipComputer`
`getDiffRelationshipComputer(IMerger.Registry mergerRegistry)`
Returns the diff relationship computer instance from the compare configuration with the given merger registry.
`Set<Diff>`
`getRejections()`
`Set<Diff>`
`getRequires()`
`Collection<TreeNode>`
`getTreeNodes(Diff diff)`
`void`
`updateDependencies(org.eclipse.jface.viewers.ISelection selection, IMerger.Registry mergerRegistry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyData

public DependencyData(IEMFCompareConfiguration compareConfiguration)

## Method Details

### getDiffRelationshipComputer

protected IDiffRelationshipComputer getDiffRelationshipComputer(IMerger.Registry mergerRegistry)
Returns the diff relationship computer instance from the compare configuration with the given merger registry. If no computer instance has been set, a default instance will be created.

Parameters:
  `mergerRegistry` - merger registry used to compute diff relationships.
Returns:
  a non-null diff relationship computer.

### updateDependencies

public void updateDependencies(org.eclipse.jface.viewers.ISelection selection, IMerger.Registry mergerRegistry)

Parameters:
  `selection` -

### clearDependencies

public void clearDependencies()

### getRequires

public Set<Diff> getRequires()

Returns:
  the requires

### getRejections

public Set<Diff> getRejections()

Returns:
  the unmergeables

### getTreeNodes

public Collection<TreeNode> getTreeNodes(Diff diff)